Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Class CellEditorActionHandler

    java.lang.Object
      org.eclipse.ui.part.CellEditorActionHandler

public class CellEditorActionHandler
extends Object

Handles the redirection of the global actions Cut, Copy, Paste, Delete, Select All, Find, Undo and Redo to either the current inline cell editor or the part's supplied action handler.

This class may be instantiated; it is not intended to be subclassed.

Example usage:

     actionHandler = new CellEditorActionHandler(this.getViewSite().getActionBars());
     actionHandler.addCellEditor(textCellEditor1);
     actionHandler.addCellEditor(textCellEditor2);
     actionHandler.setSelectAllAction(selectAllAction);

Constructor Summary
`CellEditorActionHandler(IActionBars actionBar)` Creates a `CellEditor` action handler for the global Cut, Copy, Paste, Delete, Select All, Find, Undo, and Redo of the action bar.

Method Summary
`void` | `addCellEditor(CellEditor editor)` Adds a `CellEditor` to the handler so that the Cut, Copy, Paste, Delete, Select All, Find, Undo, and Redo actions are redirected to it when active.
`void` | `dispose()` Disposes of this action handler
`void` | `removeCellEditor(CellEditor editor)` Removes a `CellEditor` from the handler so that the Cut, Copy, Paste, Delete, Select All, Find Undo, and Redo actions are no longer redirected to it.
`void` | `setCopyAction(IAction action)` Sets the default `IAction` handler for the Copy action.
`void` | `setCutAction(IAction action)` Sets the default `IAction` handler for the Cut action.
`void` | `setDeleteAction(IAction action)` Sets the default `IAction` handler for the Delete action.
`void` | `setFindAction(IAction action)` Sets the default `IAction` handler for the Find action.
`void` | `setPasteAction(IAction action)` Sets the default `IAction` handler for the Paste action.
`void` | `setRedoAction(IAction action)` Sets the default `IAction` handler for the Redo action.
`void` | `setSelectAllAction(IAction action)` Sets the default `IAction` handler for the Select All action.
`void` | `setUndoAction(IAction action)` Sets the default `IAction` handler for the Undo action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellEditorActionHandler

    public CellEditorActionHandler(IActionBars actionBar)

  Creates a `CellEditor` action handler for the global Cut, Copy, Paste, Delete, Select All, Find, Undo, and Redo of the action bar.

Parameters:
  `actionBar` - the action bar to register global action handlers.

Method Detail

### addCellEditor

    public void addCellEditor(CellEditor editor)

  Adds a `CellEditor` to the handler so that the Cut, Copy, Paste, Delete, Select All, Find, Undo, and Redo actions are redirected to it when active.

  Parameters:
    `editor` - the `CellEditor`

### dispose

    public void dispose()

  Disposes of this action handler

### removeCellEditor

    public void removeCellEditor(CellEditor editor)

  Removes a `CellEditor` from the handler so that the Cut, Copy, Paste, Delete, Select All, Find Undo, and Redo actions are no longer redirected to it.

  Parameters:
    `editor` - the `CellEditor`

### setCopyAction

    public void setCopyAction(IAction action)

  Sets the default `IAction` handler for the Copy action. This `IAction` is run only if no active cell editor control.

  Parameters:
    `action` - the `IAction` to run for the Copy action, or `null if not interested.`

### setCutAction

    public void setCutAction(IAction action)

  Sets the default `IAction` handler for the Cut action. This `IAction` is run only if no active cell editor control.

  Parameters:
    `action` - the `IAction` to run for the Cut action, or `null if not interested.`

### setDeleteAction

    public void setDeleteAction(IAction action)

  Sets the default `IAction` handler for the Delete action. This `IAction` is run only if no active cell editor control.

  Parameters:
    `action` - the `IAction` to run for the Delete action, or `null if not interested.`

### setFindAction

    public void setFindAction(IAction action)

  Sets the default `IAction` handler for the Find action. This `IAction` is run only if no active cell editor control.

  Parameters:
    `action` - the `IAction` to run for the Find action, or `null if not interested.`

### setPasteAction

    public void setPasteAction(IAction action)

  Sets the default `IAction` handler for the Paste action. This `IAction` is run only if no active cell editor control.

  Parameters:
    `action` - the `IAction` to run for the Paste action, or `null if not interested.`

### setRedoAction

    public void setRedoAction(IAction action)

  Sets the default `IAction` handler for the Redo action. This `IAction` is run only if no active cell editor control.

  Parameters:
    `action` - the `IAction` to run for the Redo action, or `null if not interested.`

### setSelectAllAction

    public void setSelectAllAction(IAction action)

  Sets the default `IAction` handler for the Select All action. This `IAction` is run only if no active cell editor control.

  Parameters:
    `action` - the `IAction` to run for the Select All action, or `null if not interested.`

### setUndoAction

    public void setUndoAction(IAction action)

  Sets the default `IAction` handler for the Undo action. This `IAction` is run only if no active cell editor control.

  Parameters:
    `action` - the `IAction` to run for the Undo action, or `null if not interested.`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.